Loading...
Searching...
No Matches
AVOpenCLFramesContext Struct Reference

OpenCL-specific data associated with a frame pool. More...

`#include <libavutil/hwcontext_opencl.h>`

## Data Fields

cl_command_queue | command_queue
| The command queue used for internal asynchronous operations on this device (av_hwframe_transfer_data(), av_hwframe_map()).

## Detailed Description

OpenCL-specific data associated with a frame pool.

Allocated as AVHWFramesContext.hwctx.

Definition at line 89 of file hwcontext_opencl.h.

## Field Documentation

## command_queue

cl_command_queue AVOpenCLFramesContext::command_queue

The command queue used for internal asynchronous operations on this device (av_hwframe_transfer_data(), av_hwframe_map()).

If this is not set, the command queue from the associated device is used instead.

Definition at line 97 of file hwcontext_opencl.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_opencl.h